## kget 16.08.0

=== sounds/CMakeLists.txt ===
install(FILES kget.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kget)

#install(FILES
#   KGet_Added.ogg
#   KGet_Finished.ogg
#   KGet_Finished_All.ogg
#   KGet_Started.ogg
#DESTINATION ${SOUND_INSTALL_DIR})
