=== debian/changelog ===
kget (4:16.08.0-2) unstable; urgency=medium

  * New upstream release (16.08.0)
  * Disable kdepimlibs build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:56:58 +0200

kget (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - manually remove only the files (i.e. .so symlinks) that are not needed
    - remove get.install, no more used now
    - remove not-installed file, no more used now
  * Remove unused dh_auto_configure override (does nothing more than the tool
    itself).

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 23:40:05 +0200

kget (4:15.12.1-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:15:02 +0200
