=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
+               kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,10 +24,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kget.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net
