## kget 17.04.3

=== debian/changelog ===
kget (4:17.04.3-0ubuntu1) artful; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * For now do not build against libktorrent, as this prevents us
    upgrading ktorrent to the latest KF5 based release. Once kget KF5
    port is completed this can be reverted.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:01 +0100
