=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
-               libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),
                libsoprano-dev,
