=== extensions/CMakeLists.txt ===
add_subdirectory(konqueror)
#add_subdirectory(webinterface)
#TODO: Port this to KDE5
