=== ui/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(pics)


install(FILES kgetui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kget)
