=== ui/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-apps-kget.png
        22-apps-kget.png
        32-apps-kget.png
        48-apps-kget.png
        64-apps-kget.png
        128-apps-kget.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
