=== transfer-plugins/contentfetch/scripts/CMakeLists.txt ===
install(FILES youtubedl/kget_youtubedl.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/kget_youtubedl_option.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/ui_youtube_option.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/youtube_option.ui DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
