=== debian/changelog ===
kget (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:54 +0000

kget (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Remove disable_kget_test_transfers & disable_kget-verifiertest
    patches as they no longer apply to upstream code
  * Port packaging to KF5

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Drop patch disable-plasma.diff
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:48 +0000

kget (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Sync debian changes from 16.08 in sid; including
    - Disable kdepimlibs build dependency
    - Remove unused patches and build flag for tests

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Dec 2017 09:51:03 +0000

kget (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:39 +0000

kget (4:16.08.0-5~) UNRELEASED; urgency=medium

  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879341)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 Oct 2017 18:00:51 +0100

kget (4:16.08.0-4) unstable; urgency=medium

  * Team upload.
  * Drop the libgpgme11-dev build dependency, since it is not used.
  * Pass -DKDE4_BUILD_TESTS=OFF to cmake to disable the build of unit tests,
    since they are not run anyway.
  * Update the patches:
    - disable_kget_test_transfers: drop, only for not run unit tests (and with
      unclear status and reasons)
    - disable_kget-verifiertest: drop, only for not run unit tests (and with
      unclear status and reasons)
    - kget_testjob_finished_stays: drop, only for not run unit tests (and with
      unclear status and reasons)
  * Bump Standards-Version to 4.1.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Sep 2017 08:38:07 +0200

kget (4:16.08.0-3) unstable; urgency=medium

  * Team upload.
  * Update the build dependencies:
    - drop libktorrent-dev to disable the torrent support, since libktorrent
      is currently updated to the KF5 version
    - drop libsoprano-dev, and shared-desktop-ontologies, as the Nepomuk
      support was dropped long ago
  * Disable the build of applets and runner for Plasma4 since they are not
    useful without a Plasma4 environment; patch disable-plasma.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2017 21:00:10 +0200
