=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
                libsqlite3-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
+               plasma-workspace-dev,
+               qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.1.0
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
