=== debian/changelog ===
kget (4:18.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Add upstream signing key.
  * Update build-deps and deps with the info from cmake
  * Remove not needed Build-Dependencies.
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies:
    - bump all the Qt ones to >= 5.7.0
    - bump all the KF5 ones to >= 5.44.0
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 15:50:32 +0100

kget (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the plasma-workspace-dev build dependency on Linux only, to enable the
    integration with the workspace.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 10:56:35 +0200

kget (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874958)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5doctools-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5itemviews-dev,
      libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5kio-dev,
      libkf5notifications-dev, libkf5notifyconfig-dev, libkf5parts-dev,
      libkf5service-dev, libkf5solid-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, and libqca-qt5-2-dev
  * Update the other build dependencies:
    - add libgpgmepp-dev, and libktorrent-dev, used by the new version
    - add libgpgme-dev to workaround a missing dependency in libgpgmepp-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch the cmake parameter -DKDE4_BUILD_TESTS=OFF to -DBUILD_TESTING=OFF,
    as this is what ECM provides.
  * Update paths with the local mootools js files to replace.
  * Update the patches:
    - minified_file: refresh
    - disable-plasma.diff: drop, no more needed now
  * Break/replace against kde-l10n that ships translations.
  * Do not ship the translations of the unported Plasma components.
  * Update lintian overrides.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:18:24 +0100

kget (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879341)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:24:44 +0100
