## kget 18.12.0%2Bqtbuild

=== debian/changelog ===
kget (4:18.12.0+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 15:26:01 +0800
