## kget 19.04.3

=== debian/changelog ===
kget (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against libktorrent6 -> libkf5torrent6 soname
    change.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Sep 2019 15:30:02 +0100

kget (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:22 +0100

kget (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:05:48 +0100

kget (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:11 +0100

kget (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:40 +0100
