## kget 19.12.0

=== debian/changelog ===
kget (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.55.0
    - remove libkf5solid-dev
    - add libkf5crash-dev
    - explicitly add gettext
  * Unregister kget.categories as conffile, as it is no more in /etc.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Jan 2020 23:25:44 +0100
